<?xml version="1.0" encoding="utf-8"?>
<?xml-stylesheet type="text/xsl" href="../assets/xml/rss.xsl" media="all"?><rss xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:atom="http://www.w3.org/2005/Atom" version="2.0"><channel><title>duckland.org news (music)</title><link>http://www.duckland.org/</link><description></description><atom:link href="http://www.duckland.org/categories/music.xml" type="application/rss+xml" rel="self"></atom:link><language>en</language><lastBuildDate>Wed, 10 Jun 2015 05:13:30 GMT</lastBuildDate><generator>http://getnikola.com/</generator><docs>http://blogs.law.harvard.edu/tech/rss</docs><item><title>cmus project restarted</title><link>http://www.duckland.org/posts/201002cmus-project-restarted.html</link><dc:creator>Don Harper</dc:creator><description>&lt;h1&gt;cmus project restarted&lt;/h1&gt;

&lt;p&gt;Just a quick note. The cmus project has been restarted recently, and they are working on a new release. This one should have better integration with things like PulseAudio.&lt;/p&gt;

&lt;p&gt;Good news!&lt;/p&gt;

&lt;p&gt;Go check out &lt;a href="http://cmus.sourceforge.net/"&gt;http://cmus.sourceforge.net/&lt;/a&gt; for more details.&lt;/p&gt;</description><category>cli</category><category>music</category><category>software</category><guid>http://www.duckland.org/posts/201002cmus-project-restarted.html</guid><pubDate>Sat, 27 Feb 2010 23:02:00 GMT</pubDate></item><item><title>C*MUS - A music manager for the terminal</title><link>http://www.duckland.org/posts/200901cmus-a-music-manager-for-the-terminal.html</link><dc:creator>Don Harper</dc:creator><description>&lt;h1&gt;C*MUS - A music manager for the terminal&lt;/h1&gt;

&lt;p&gt;&lt;a href="http://cmus.sf.net/"&gt;C*mus&lt;/a&gt; is an advanced music juke-box for *inx and Window operating systems. It can handle the modern audio file formats: FLAC, Ogg/Vorbis, MP3 , Wav, AAC , MP4, .mod, .s3m, .mpc, mpp, .mp+, .wma, and .wv . It also can deal with many different types of audio output systems: ALSA, libao, ARTS, OSS, Sun, and WaveOut on Windows. The typical features of an electronic juke-box are supported like play lists and random/shuffle play, in addition to easily switching between playing from the library, an artist, or a single album with a simple keystroke.&lt;/p&gt;

&lt;p&gt;C*Mus is pretty painless to install from source. The website lists the build dependencies with links. There is no RPM .SPEC file on the web site, but you can use this &lt;a href="http://www.duckland.org/files/cmus.spec"&gt;one&lt;/a&gt;.&lt;/p&gt;

&lt;h2&gt;En-queuing&lt;/h2&gt;

&lt;p&gt;One of the features I really enjoy and use is the en-queue function. I tend to use this two ways. The first is when I am listening to a song, and want to listen to similar songs, I go find them in my library, and I queue them up with a simple keystroke. A dynamic play-list, if you will. Then, I can simply create a more permanent playlist from this temporary list.&lt;/p&gt;

&lt;p&gt;The second way is using the helper program cmus-remote to be able to queue up tracks from a different terminal, or from a script. My podcatcher program (bashpodder) will queue up the podcasts it just downloaded for me, so I can listen to them first thing in the morning.&lt;/p&gt;

&lt;h2&gt;Keystroke and CLI&lt;/h2&gt;

&lt;p&gt;C&lt;em&gt;Mus is developed to be driven via keystrokes. The default mapping is set up to be comfortable for those use are familiar with VI but, it is very easy to remap the keys to make it more comfortable. C&lt;/em&gt;Mus will automatically save the current settings on a clean exit. The default mappings for selecting and updating views, moving through songs forward and backwards in small and large increments, adding to play list and queue lists.&lt;/p&gt;

&lt;h2&gt;Filters&lt;/h2&gt;

&lt;p&gt;One of the very powerful features is simple filters. You can set a filter for your 80’s Metal Bands or your Classical music. Many of the common tags can be used for filter on. Things like filename, artist, album, title, genre, discnumber, tracknumber, date (year), duration (seconds), and tag.&lt;/p&gt;</description><category>cli</category><category>music</category><category>software</category><guid>http://www.duckland.org/posts/200901cmus-a-music-manager-for-the-terminal.html</guid><pubDate>Mon, 12 Jan 2009 23:01:00 GMT</pubDate></item></channel></rss>